# Grail Storage Filter-Segments

@dynatrace-sdk/client-filter-segment-management

## 1.6.3

### Patch Changes

- Improve performance of payload transformations. (APPDEV-12840)

## 1.6.2

### Patch Changes

- Adapt documentation
- Remove generatedAt property from metadata file. (APPDEV-12696)

## 1.6.1

### Patch Changes

- add example filter to docs

## 1.6.0

### Minor Changes

- Added support for optional transformations. (APPDEV-11914)
- changing return type of filter segments entity model

### Patch Changes

- Added fix for 'transformToFormDataField' function. (APPDEV-12478)

## 1.5.1

- Adapt documentation URL

## 1.5.0

- Improve filter-segment permissions for granular sharing
- Provide entity model endpoint

## 1.4.1

### Patch Changes

- Replace model transformations with single transformation function. (APPDEV-10818)
- Redundant error serializers are removed. (APPDEV-10272)
- Missing await added for API Gateway handler and line breaks at the end of the string are ignored. APPDEV-10883
- Imports reformatted and fixed incorrect type rendered for arrays of enum values. APPDEV-10701

## 1.4.0

### Minor Changes

- Enums are replaced with unions of literals. APPDEV-10338

## 1.3.0

### Minor Changes

- Add filter-segment-include relationship & apply-to support

## 1.2.1

### Patch Changes

- Improve filter-segment-management API Docs

## 1.2.0

### Minor Changes

- Add filter-segment `externalId`

## 1.1.0

### Features

- Export errors from the package.

## 1.0.0

### Major Changes

- Public release of filter-segment management SDK

### Patch Changes

- Initial filter-segment-management SDK
- Reexporting error classes from @dynatrace-sdk/shared-errors package.
- Using common errors from @dynatrace-sdk/shared-errors package.
- - Add deprecated tags to generated models and fix descriptions for reference objects.
  - Improved default error handler to match the common error structure.
- add filter-segment variables
- Added deprecation of unused error classes. APPDEV-9613
- Use structural typeguards for errors. APPDEV-9221
- add isPublic field

## 0.1.0

### Minor Changes

- Introduced @dynatrace-sdk/shared-errors package and improved response errors handling.

## 0.0.3

### Patch Changes

- Add filter-segment `variables`

## 0.0.2

### Patch Changes

- Add filter-segment `isPublic` field

## 0.0.1

### Patch Changes

- Initial release of the filter-segment-management package.