import { CustomValidationErrorInfo } from './custom-validation-error-info';
import { InvalidAuditEventsErrorInfo } from './invalid-audit-events-error-info';
import { MediaTypeErrorInfo } from './media-type-error-info';
import { ParameterErrorInfo } from './parameter-error-info';
import { ProxyErrorInfo } from './proxy-error-info';
import { QueryFrontendRawErrorInfo } from './query-frontend-raw-error-info';
import { RequestBodyErrorInfo } from './request-body-error-info';
export interface ExceptionalReturn {
    message?: string;
    errorDetails?: (CustomValidationErrorInfo | InvalidAuditEventsErrorInfo | MediaTypeErrorInfo | ParameterErrorInfo | ProxyErrorInfo | QueryFrontendRawErrorInfo | RequestBodyErrorInfo)[];
    code?: number;
}
